#
# WWW_SiteConfig.pm
#
# App::Dochazka::WWW configuration parameters that site admins
# might need to change the default values of.
#
# The first argument to "set()" is the name of the configuration parameter, and
# the second argument is its value. The values shown below are the defaults.
#
# To keep the default value, do nothing.
#
# To override a default, comment out the existing "set" call and make a new one
# with the desired value. See MFILE_APPNAME for an example of how this is done.
#

# DOCHAZKA_WWW_BACKEND_URI
#     URI where App::Dochazka::REST server is listening. AJAX calls will be
#     forwarded to this URI.
set( 'DOCHAZKA_WWW_BACKEND_URI', 'http://localhost:5000' );

# MFILE_APPNAME
#     the name of this web front-end
#set( 'MFILE_APPNAME', 'mfile-www' );
set( 'MFILE_APPNAME', 'dochazka-www' );

# MFILE_WWW_DEBUG_MODE
#     turn debug-level log messages on and off
set( 'MFILE_WWW_DEBUG_MODE', 1 );

# MFILE_WWW_HOST
#     hostname/IP address where WWW server will listen
set( 'MFILE_WWW_HOST', 'localhost' );

# MFILE_WWW_PORT
#     port number where WWW server will listen
set( 'MFILE_WWW_PORT', 5001 );

# MFILE_WWW_LOG_FILE
#     full path of log file
#set( 'MFILE_WWW_LOG_FILE', $ENV{'HOME'} . "/.mfile-www.log" );
set( 'MFILE_WWW_LOG_FILE', "$ENV{HOME}/dochazka-www.log" );

# MFILE_WWW_LOG_FILE_RESET
#     should the logfile be deleted/wiped/unlinked/reset before each use
set( 'MFILE_WWW_LOG_FILE_RESET', 1 );

# MFILE_WWW_BYPASS_LOGIN_DIALOG
#     If you are the only one using Dochazka at your site, you can bypass
#     the login dialog using this parameter and the next one. Obviously, 
#     doing so is in violation of every security rule known to man.
set( 'MFILE_WWW_BYPASS_LOGIN_DIALOG', 0 );

# MFILE_WWW_DEFAULT_LOGIN_CREDENTIALS
#     If the login dialog is bypassed, App::Dochazka::WWW will attempt to 
#     log the user in with these credentials. Putting passwords in
#     configuration files is extremely foolish and should never be done.
set( 'MFILE_WWW_DEFAULT_LOGIN_CREDENTIALS', {
    'nam' => 'root',
    'pwd' => 'immutable'
} );

# MFILE_WWW_DISPLAY_SESSION_DATA
#     controls whether session data will be displayed on all screens
set( 'MFILE_WWW_DISPLAY_SESSION_DATA', 1 );

# -----------------------------------
# DO NOT EDIT ANYTHING BELOW THIS LINE
# -----------------------------------
use strict;
use warnings;

1;
